Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.webapp
Class Configuration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration
          org.mortbay.jetty.plus.webapp.AbstractConfiguration
              org.mortbay.jetty.plus.webapp.Configuration

All Implemented Interfaces:
  java.io.Serializable, Configuration

Direct Known Subclasses:
  Configuration, Jetty6MavenConfiguration, JettyWebAppConfiguration

    public class Configuration

extends AbstractConfiguration

Configuration

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`_callbacks, _injections, _runAsCollection`

Fields inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`_constraintMappings, _context, _defaultWelcomeFileList, _errorPages, _filterMappings, _filters, _hasJSP, _jspServletClass, _jspServletName, _listeners, _servletHandler, _servletMappings, _servlets, _version, _welcomeFiles, _xmlParser`

Constructor Summary
`Configuration()`

Method Summary
`void` | `bindEnvEntry(java.lang.String name, java.lang.Object value)`
`void` | `bindMessageDestinationRef(java.lang.String name, java.lang.Class typeClass)`
`void` | `bindResourceEnvRef(java.lang.String name, java.lang.Class typeClass)`
`void` | `bindResourceRef(java.lang.String name, java.lang.Class typeClass)` Bind a resource reference.
`void` | `bindUserTransaction()`
`void` | `configureClassLoader()` Configure ClassPath.
`void` | `configureDefaults()` Configure Defaults.
`void` | `configureWebApp()` Configure WebApp.
`void` | `deconfigureWebApp()` DeConfigure WebApp.
`protected void` | `lockCompEnv()`
`void` | `parseAnnotations()` Parse all classes that are mentioned in web.xml (servlets, filters, listeners) for annotations.
`protected void` | `unlockCompEnv()`

Methods inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`callPreDestroyCallbacks, configure, initEnvEntry, initialize, initInjection, initMessageDestinationRef, initPostConstruct, initPreDestroy, initResourceEnvRef, initResourceRef, initWebXmlElement, injectAndCallPostConstructCallbacks, setWebAppContext`

Methods inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`findWebXml, getJSPServletName, getWebAppContext, initContextParam, initDisplayName, initDistributable, initErrorPage, initFilter, initFilterMapping, initJspConfig, initListener, initLocaleEncodingList, initLoginConfig, initMimeConfig, initSecurityConstraint, initSecurityRole, initServlet, initServletMapping, initSessionConfig, initTagLib, initWelcomeFileList, newListenerInstance, normalizePattern, webXmlParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### bindEnvEntry

    public void bindEnvEntry(java.lang.String name,
                             java.lang.Object value)
                      throws java.lang.Exception

  Specified by:
    `bindEnvEntry` in class `AbstractConfiguration`
  Parameters:
    `name` -
    `value` -
  Throws:
    `java.lang.Exception`
  See Also:
    `org.mortbay.jetty.plus.webapp.AbstractConfiguration#bindEnvEntry(java.lang.String, java.lang.String)`

### bindResourceRef

    public void bindResourceRef(java.lang.String name,
                                java.lang.Class typeClass)
                         throws java.lang.Exception

  Bind a resource reference. If a resource reference with the same name is in a jetty-env.xml file, it will already have been bound.

  Specified by:
    `bindResourceRef` in class `AbstractConfiguration`
  Parameters:
    `name` -
  Throws:
    `java.lang.Exception`
  See Also:
    `org.mortbay.jetty.plus.webapp.AbstractConfiguration#bindResourceRef(java.lang.String)`

### bindResourceEnvRef

    public void bindResourceEnvRef(java.lang.String name,
                                   java.lang.Class typeClass)
                            throws java.lang.Exception

  Specified by:
    `bindResourceEnvRef` in class `AbstractConfiguration`
  Parameters:
    `name` -
  Throws:
    `java.lang.Exception`
  See Also:
    `org.mortbay.jetty.plus.webapp.AbstractConfiguration#bindResourceEnvRef(java.lang.String)`

### bindMessageDestinationRef

    public void bindMessageDestinationRef(java.lang.String name,
                                          java.lang.Class typeClass)
                                   throws java.lang.Exception

  Specified by:
    `bindMessageDestinationRef` in class `AbstractConfiguration`
  Throws:
    `java.lang.Exception`

### bindUserTransaction

    public void bindUserTransaction()
                             throws java.lang.Exception

  Specified by:
    `bindUserTransaction` in class `AbstractConfiguration`
  Throws:
    `java.lang.Exception`

### configureClassLoader

    public void configureClassLoader()
                              throws java.lang.Exception

  Description copied from class: `WebXmlConfiguration`
  Configure ClassPath.

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Overrides:
    `configureClassLoader` in class `WebXmlConfiguration`
  Throws:
    `java.lang.Exception`

### configureDefaults

    public void configureDefaults()
                           throws java.lang.Exception

  Description copied from interface: `Configuration`
  Configure Defaults. This method is called to intialize the context to the containers default configuration. Typically this would mean application of the webdefault.xml file.

  Specified by:
    `configureDefaults` in interface `Configuration`
  Overrides:
    `configureDefaults` in class `AbstractConfiguration`
  Throws:
    `java.lang.Exception`

### configureWebApp

    public void configureWebApp()
                         throws java.lang.Exception

  Description copied from interface: `Configuration`
  Configure WebApp. This method is called to apply the standard and vendor deployment descriptors. Typically this is web.xml and jetty-web.xml.

  Specified by:
    `configureWebApp` in interface `Configuration`
  Overrides:
    `configureWebApp` in class `AbstractConfiguration`
  Throws:
    `java.lang.Exception`

### deconfigureWebApp

    public void deconfigureWebApp()
                           throws java.lang.Exception

  Description copied from interface: `Configuration`
  DeConfigure WebApp. This method is called to undo all configuration done to this webapphandler. This is called to allow the context to work correctly over a stop/start cycle

  Specified by:
    `deconfigureWebApp` in interface `Configuration`
  Overrides:
    `deconfigureWebApp` in class `AbstractConfiguration`
  Throws:
    `java.lang.Exception`

### lockCompEnv

    protected void lockCompEnv()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### unlockCompEnv

    protected void unlockCompEnv()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseAnnotations

    public void parseAnnotations()
                          throws java.lang.Exception

  Description copied from class: `AbstractConfiguration`
  Parse all classes that are mentioned in web.xml (servlets, filters, listeners) for annotations.

  Specified by:
    `parseAnnotations` in class `AbstractConfiguration`
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractConfiguration.parseAnnotations()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.